'$include: 'basdef.h'
'$include: 'btrieve.h'
'$include: 'filekill.h'
'$include: 'midchar.h'
'$include: 'basdef.bas'
'$include: 'btrieve.bas'
'$include: 'filekill.bas'
'$include: 'midchar.bas'

ccmd = ucase$(rtrim$(command$))         'get the user's command-line parameters
if ccmd = "" then                              'a command line was NOT supplied
   close                              'close all files in case not closed above
   system                                   'return control to operating system
end if                              'display the usage message [above] and exit
csrcfilnam = left$(ccmd + space$(12), 12)        'set formatted source filename
csrcvernum = space$(2)

isrcbuflen = 4096            'initialize source buffer length to system maximum
isrckeylen = 128                'initialize source key length to system maximum
isrckeynum = ikeynum           'set source key number from user/default [above]
csrcfilbuf = string$(isrcbuflen, 0)         'initialize source file data buffer
csrckeybuf = string$(isrckeylen, 0)          'initialize source file key buffer
csrcposblk = string$(128, 0)             'initialize source file position block

isrcstatus = BTRV(BTRV.OPEN, csrcposblk, csrcfilbuf, _    'open the source file
                  (isrcbuflen), csrcfilnam + " ", BTRV.RO)
if isrcstatus = 0 then                                   'source file opened OK
   isrcstatus = BTRV(BTRV.STAT, csrcposblk, csrcfilbuf, _
                     (isrcbuflen), csrckeybuf, -1)  'get the source file status
   if isrcstatus = 0 then                            'got source file status OK
      isrcvernum = asc(mid$(csrcfilbuf, 6, 1)) \ 16 'version no.of Btrieve file
   end if
end if

open "btrvver.out" for append as 1                  'open error file for append

print #1, csrcfilnam;
if isrcstatus = 0 then                                   'source file opened OK
   rset csrcvernum = ltrim$(str$(isrcvernum))
   print #1, csrcvernum
else
   print #1, " Invalid: status = "; ltrim$(str$(isrcstatus))
end if

i = BTRV(BTRV.RESET, "", "", 0, "", 0)            'close all open Btrieve files
close                                              'close all non-Btrieve files
system                                              'return to operating system
